/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects.map;
/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultLayer implements Layer {

    
    private String id = null;
    
    private String name = null;
    
    private boolean groupLayer = false;
    
    private String parentId = null;
    /**
     * Constructor
     */
    public DefaultLayer(String id,String name,
                        boolean groupLayer,String parentId) {
        this.id = id;
        this.name = name;
        this.groupLayer = groupLayer;
        this.parentId = parentId;
    }



    /**
     * @see de.intevation.gnv.artifactdatabase.objects.map.Layer#getID()
     */
    public String getID() {
        return this.id;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.map.Layer#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.map.Layer#isGroupLayer()
     */
    public boolean isGroupLayer() {
        return this.groupLayer;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.map.Layer#parentID()
     */
    public String parentID() {
        return this.parentId;
    }
    
    @Override
    public String toString() {
        return "ID: "+ this.id + " Name: "+this.name+
               " IsGroupLayer: "+this.groupLayer+
               " ParentID: "+this.parentId;
    }

}
